from __future__ import annotations

from transcendence.abstract.AbstractRoomMember import AbstractRoomMember

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from .Player import Player

from .Ball import Ball

class Spectator(AbstractRoomMember):

    def send_paddle(self, player: Player):
        self.send("update_paddle", player.to_dict())    

    def send_ball(self, ball: Ball):
        self.send("update_ball", ball.to_dict())